Upgrade Fails to UIM 8.47

Document ID : KB000004159
Last Modified Date : 14/02/2018
Show Technical Document Details
Issue:

When performing an upgrade from compatible versions of UIM (8.2 - 8.47) to UIM 8.47, the installation fails with the following errors:

•  Installation logs

ERROR impl.UIMServerUpgradePreparationController:configureMonitorsForUpgrade:583 [SwingWorker-pool-2-thread-3]  - NimException caught.

•  Windows event logs

 

The Windows event logs show that it is looking for Windows C++ redistributable version 10 when the installer is running. The current version is 9.xxx.

Environment:
UIM 8.3, 8.4, 8.47
Resolution:
  1. Upgrade the hub and controller to 7.80.
  2. Drag and drop the following package (vs2010sp1_vcredist_x64) from the Archive to the primary robot:

2010 dist.png

 

Once these steps were performed the upgrade completed without any additional problems.